Bug 1119838 - Rubygem-Staypuft: Failed to assign a host to deployment - get a yellow "Unassigned hosts: <hostname> in UI
Summary: Rubygem-Staypuft: Failed to assign a host to deployment - get a yellow "Unas...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 15:43 UTC by Alexander Chuzhoy
Modified: 2014-09-23 14:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 14:56:28 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-15 15:43:56 UTC
Rubygem-Staypuft:  Failed to assign a host to deployment - get a yellow "Unassigned hosts: <hostname> in UI


Environment:
ruby193-rubygem-staypuft-0.1.15-1.el6ost.noarch
openstack-foreman-installer-2.0.14-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-7.el6ost.noarch
openstack-puppet-modules-2014.1-19.1.el6ost.noarch
rhel-osp-installer-0.1.0-2.el6ost.noarch

How to reproduce:
1. Have a setup with 8 machines + rhel-osp-installer
2. Create a couple of deployments (for example: one deployment of Nova network with 3 machines (1 controller + 2 compute) another deployment of Neutron with 3 machines ( controller + networker + compute). 
3. After the deployments finish, have all the nodes rediscovered and try to assign hosts again to the same deployment.

*Note:  repeat on step 3 if this doesn't reproduce on the first attempt.

Result.


Results: The host doesn't get assigned. I get a yellow notification "Unassigned hosts: <hostname> in UI.  Below is what I get in foreman/production.log

Started POST "/deployments/1/associate_host" for 10.10.63.153 at 2014-07-15 11:22:41 -0400
Processing by Staypuft::DeploymentsController#associate_host as HTML                      
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"/616ulXXa9GKxNnoBy1rjln96CYC/FJKilPEtsk2tvg=", "commit"=>"Assign Hosts", "hostgroup_id"=>"8", "host_ids"=>["17"], "id"=>"1"}
Create DHCP reservation for 525400868097.lab.eng.rdu2.redhat.com-52:54:00:86:80:97/192.168.0.17                                                                                
Create DHCP Settings for 525400868097.lab.eng.rdu2.redhat.com task failed with the following error: ERF12-6899 [ProxyAPI::ProxyException]: Unable to set DHCP entry ([RestClient::Conflict]: 409 Conflict) for proxy https://staypuft.lab.eng.rdu2.redhat.com:8443/dhcp/usr/share/foreman/lib/proxy_api/dhcp.rb:66:in `rescue in set'                                                                                                     
/usr/share/foreman/lib/proxy_api/dhcp.rb:62:in `set'                                                                                                                                                                 
/usr/share/foreman/lib/net/dhcp/record.rb:28:in `create'                                                                                                                                                             
/usr/share/foreman/app/models/concerns/orchestration/dhcp.rb:22:in `set_dhcp'                                                                                                                                        
/usr/share/foreman/app/models/concerns/orchestration.rb:137:in `execute'                                                                                                                                             
/usr/share/foreman/app/models/concerns/orchestration.rb:85:in `block in process'                                                                                                                                     
/usr/share/foreman/app/models/concerns/orchestration.rb:77:in `each'                                                                                                                                                 
/usr/share/foreman/app/models/concerns/orchestration.rb:77:in `process'                                                                                                                                              
/usr/share/foreman/app/models/concerns/orchestration.rb:18:in `on_save'                                                                                                                                              
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:649:in `_run__3120775582086315892__save__198811733290064972__callbacks'                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_save_callbacks'                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in `create_or_update'                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:84:in `save'                                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:50:in `save'                                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:22:in `save'                                                                                                
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:in `block (2 levels) in save'                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in `block in with_transaction_returning_status'                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb:192:in `transaction'                                                               
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `transaction'                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in `with_transaction_returning_status'                                                                             
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:in `block in save'                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:252:in `rollback_active_record_state!'                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:240:in `save'                                                                                                          
/usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'                                                                                                                                         
/opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/controllers/staypuft/deployments_controller.rb:196:in `assign_host_to_hostgroup'                                                                        
/opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/controllers/staypuft/deployments_controller.rb:88:in `block in associate_host'                                                                          
/opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/controllers/staypuft/deployments_controller.rb:87:in `each'                                                                                             
/opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/controllers/staypuft/deployments_controller.rb:87:in `reduce'                                                                                           
/opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/controllers/staypuft/deployments_controller.rb:87:in `associate_host'                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'                                                                                          
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'                                                                                       
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:527:in `block (3 levels) in _run__23032992012838670__process_action__983654174250340359__callbacks'                     
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7336'                                                                     
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'                                                                                                         
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_910'                                                                                           
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7336'                                                                              
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:526:in `block (2 levels) in _run__23032992012838670__process_action__983654174250340359__callbacks'                     
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7335'                                                                     
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'                                                                                                                                
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7335'                                                                              
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:415:in `block in _run__23032992012838670__process_action__983654174250340359__callbacks'                                
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7334'                                                                     
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'                                                                                                         
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7334'                                                                              
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in `_run__23032992012838670__process_action__983654174250340359__callbacks'                                         
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'                                                                                  
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'                                                                                                
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'                                                                                               
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'                                                                             
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'                                                                                        
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'                                                                                     
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'                                                                                  
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'                                                                                                           
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'                                                                                                       
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'                                                                                                           
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'                                                                                                  
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'                                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'                                                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'                                                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'                                                                                                     
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/lib/apipie/static_dispatcher.rb:65:in `call'                                                                                                             
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'                                                                                                
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'                                                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'                                                                                                                          
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'                                                                                                        
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'                                                                                               
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'                                                                                                                                             
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'                                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'                                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'                                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'                                                                          
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'                                                                                          
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__4269771145692392741__call__198811733290064972__callbacks'                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'                                                                                             
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'                                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'                                                                                                                        
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'                                                                                                  
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'                                                                                                                          
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'                                                                                                                                 
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'                                                                                           
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'                                                                                                                                    
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'                                                                                                                   
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'                                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'                                                                                                                
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'                                                                                                                      
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'                                                                                                                       
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'                                                                                                                            
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'                                                                                                                       
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'                                                                                                     
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'                                                                                                                                
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'                                                                                                                         
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'                                                                                                                                  
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'                                                                                                                                  
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'                                                                                          
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'                                                                        
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'                                                                                              
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'                                                                                     
Rolling back due to a problem: [Create DHCP Settings for 525400868097.lab.eng.rdu2.redhat.com    9       failed  [#<Host::Managed id: 17, name: "525400868097.lab.eng.rdu2.redhat.com", ip: "192.168.0.17", last_compile: nil, last_freshcheck: nil, last_report: "2014-07-15 13:18:16", updated_at: "2014-07-15 13:18:16", source_file_id: nil, created_at: "2014-07-14 21:14:24", mac: "52:54:00:86:80:97", root_pass: "$5$fm$EO4A.ybSB/ofUaZWkzNePd38XRpUQNXls8y1feWvIy3", serial: nil, puppet_status: 0, domain_id: 1, architecture_id: 1, operatingsystem_id: 2, environment_id: 2, subnet_id: 1, ptable_id: 7, medium_id: 7, build: true, comment: nil, disk: nil, installed_at: nil, model_id: 1, hostgroup_id: 8, owner_id: 1, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname: nil, image_id: nil, organization_id: nil, location_id: nil, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: nil, provision_method: nil>, :set_dhcp]]             
Unassigned hosts:                                                                                                                                                                                                    
525400868097 (Create DHCP Settings for 525400868097.lab.eng.rdu2.redhat.com task failed with the following error: ERF12-6899 [ProxyAPI::ProxyException]: Unable to set DHCP entry ([RestClient::Conflict]: 409 Conflict) for proxy https://staypuft.lab.eng.rdu2.redhat.com:8443/dhcp)                                                                                                                                                    
Redirected to https://10.8.30.234/deployments/1/hostgroup/8-base_redhat_7-nova-3-compute-nova                                                                                                                        
Completed 302 Found in 660ms (ActiveRecord: 20.2ms)                                                                                                                                                                  


Started GET "/deployments/1/hostgroup/8-base_redhat_7-nova-3-compute-nova" for 10.10.63.153 at 2014-07-15 11:22:43 -0400
Processing by Staypuft::DeploymentsController#show as HTML                                                              
  Parameters: {"method"=>:get, "id"=>"1", "hostgroup_id"=>"8-base_redhat_7-nova-3-compute-nova"}                        
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_free_hosts_table.html.erb (9.0ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_assigned_hosts_table.html.erb (4.8ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_deployed_hosts_table.html.erb (7.1ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_free_hosts_table.html.erb (93.8ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_assigned_hosts_table.html.erb (5.4ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_deployed_hosts_table.html.erb (7.3ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_deployment_summary.html.erb (6.9ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/_deployment_access_all_details_dialogue.html.erb (46.2ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/deployments/show.html.erb within staypuft/layouts/staypuft (259.9ms)
  Rendered home/_user_dropdown.html.erb (3.6ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_org_switcher.html.erb (0.7ms)
  Rendered home/_submenu.html.erb (3.5ms)
  Rendered home/_submenu.html.erb (4.1ms)
  Rendered home/_submenu.html.erb (3.3ms)
  Rendered home/_submenu.html.erb (2.8ms)
  Rendered home/_submenu.html.erb (1.8ms)
  Rendered home/_submenu.html.erb (3.5ms)
Write fragment views/tabs_and_title_records-1 (1.2ms)
  Rendered home/_topbar.html.erb (29.7ms)
  Rendered layouts/base.html.erb (30.9ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/staypuft-0.1.15/app/views/staypuft/layouts/application.html.erb (31.4ms)
Completed 200 OK in 297ms (Views: 279.6ms | ActiveRecord: 14.4ms)


Expected result:
The host should be assigned with no issues.


Workaround:
Clear the DHCP by removing the /var/lib/dhcpd/dhcpd.leases file and restarting the dhcpd service on the rhel-osp-installer and rediscover all the machines in the setup.


Note You need to log in before you can comment on or make changes to this bug.